usb-mouse.h File Reference

Go to the source code of this file.

## Functions

void | mouUSBRead (DevicePtr pDev, dmxMotionProcPtr motion, dmxEnqueueProcPtr enqueue, dmxCheckSpecialProcPtr checkspecial, DMXBlockType block)
void | mouUSBInit (DevicePtr pDev)
void | mouUSBGetInfo (DevicePtr pDev, DMXLocalInitInfoPtr info)
int | mouUSBOn (DevicePtr pDev)
void | mouUSBCtrl (DevicePtr pDev, PtrCtrl *ctrl)

## Detailed Description

Interface to USB mouse driver.

See also:
  usb-mouse.c
  usb-common.c

## Function Documentation

void mouUSBCtrl | ( | DevicePtr | pDev,
|  | PtrCtrl * | ctrl
| ) |  |

void mouUSBGetInfo | ( | DevicePtr | pDev,
|  | DMXLocalInitInfoPtr | info
| ) |  |

Fill the info structure with information needed to initialize pDev.

References _DMXLocalInitInfo::buttonClass, _DMXLocalInitInfo::keyClass, _DMXLocalInitInfo::keySyms, _DMXLocalInitInfo::map, _DMXLocalInitInfo::maxres, _DMXLocalInitInfo::maxval, _DMXLocalInitInfo::minres, _DMXLocalInitInfo::minval, mouUSBGetMap(), _DMXLocalInitInfo::numButtons, _DMXLocalInitInfo::numRelAxes, _DMXLocalInitInfo::ptrFeedbackClass, _DMXLocalInitInfo::res, and _DMXLocalInitInfo::valuatorClass.

void mouUSBInit | ( | DevicePtr | pDev | ) |

Initialize pDev using usbInit.

References usbInit(), and usbMouse.

Referenced by mouUSBOn().

int mouUSBOn | ( | DevicePtr | pDev | ) |

Turn pDev on (i.e., take input from pDev).

References GETPRIV, and mouUSBInit().

void mouUSBRead | ( | DevicePtr | pDev,
|  | dmxMotionProcPtr | motion,
|  | dmxEnqueueProcPtr | enqueue,
|  | dmxCheckSpecialProcPtr | checkspecial,
|  | DMXBlockType | block
| ) |  |